version: '3.8'

services:
  postgres:
    container_name: postgres_container
    image: postgres
    environment:
      POSTGRES_USER: pgadmin
      POSTGRES_PASSWORD: changeme
      POSTGRES_DB: postgres
    ports:
      - "5432:5432"
    restart: always
  
  pgadmin:
    container_name: pgadmin4_container
    image: dpage/pgadmin4
    environment:
      PGADMIN_DEFAULT_EMAIL: "pgadmin@pgadmin.org"
      PGADMIN_DEFAULT_PASSWORD: "pgadmin"
      PGADMIN_LISTEN_ADDRESS: "0.0.0.0"
    ports:
      - "5050:80"
    restart: always
